Subject: Re: bug#60859: [PATCH] Remove reference to the kbd function from documentation

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Jan 2023 16:47:32 +0200

> From: Panagiotis Koutsourakis <[email-masked]>
> Date: Mon, 16 Jan 2023 13:15:22 +0200
> 
> diff --git a/doc/emacs/custom.texi b/doc/emacs/custom.texi
> index 91df15a21d7..650a96f14b1 100644
> --- a/doc/emacs/custom.texi
> +++ b/doc/emacs/custom.texi
> @@ -1887,12 +1887,8 @@ Init Rebinding
>  you can specify them in your initialization file by writing Lisp code.
>  @xref{Init File}, for a description of the initialization file.
>  
> -@findex kbd
> -  There are several ways to write a key binding using Lisp.  The
> -simplest is to use the @code{kbd} function, which converts a textual
> -representation of a key sequence---similar to how we have written key
> -sequences in this manual---into a form that can be passed as an
> -argument to @code{keymap-global-set}.  For example, here's how to bind
> +  The simplest way to write a key binding using Lisp is to use the
> +@code{keymap-global-set} function.  For example, here's how to bind
>  @kbd{C-z} to the @code{shell} command (@pxref{Interactive Shell}):

I'm not sure we want to stop talking about 'kbd' in the manual.  How
about just adding the 'keymap-global-set' alternative without removing
'kbd'?

> I think that this change qualifies as "small", but let me know if you
> think I need to assign copyright.

You don't need for this change, but if you intend to contribute to
Emacs in the future, I recommend to start your legal paperwork now, so
that we will have it ready when you submit your next contribution.

If you agree, I will send you the form to fill.

Thanks.